# Generated by rust2rpm 18
# * tests require internet access and API tokens
%bcond_with check
%global debug_package %{nil}

%global crate news-flash

Name:           rust-%{crate}
Version:        1.2.1
Release:        5%{?dist}
Summary:        Base library for a modern feed reader

# Upstream license specification: GPL-3.0-or-later
License:        GPLv3+
URL:            https://crates.io/crates/news-flash
Source:         %{crates_source}
# Initial patched metadata
# * bump hmac from 0.10 to 0.11
#   https://gitlab.com/news-flash/news_flash/-/commit/4ffec68
# * remove readability-fork (for Patch1)
# * bump rust-embed from 5.9 to 6.0 (for Patch2)
# * require feedbin_api ^0.1.8 (for Patch3 and Patch4)
Patch0:         news-flash-fix-metadata.diff
# Backport commit a8418f4 without unnecessarily updating dependencies
# https://gitlab.com/news-flash/news_flash/-/commit/a8418f4
Patch1:         0001-Remove-Mercury-Scraper.patch
# Backport commit ebaab5c without conflicting Cargo.toml changes
# https://gitlab.com/news-flash/news_flash/-/commit/ebaab5c
Patch2:         0002-update-rust-embed.patch
# Backport commits 78c81e1 and 3f434f2 to account for breaking
#   API changes between feedbin_api 0.1.7 and 0.1.8
Patch3:         0003-feedbin-return-enclosures.patch
Patch4:         0004-feedbin-include-images.patch

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
Base library for a modern feed reader.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Mon Nov 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-5
- Bump rust-embed from 5.9 to 6.0. Port to feedbin_api 0.1.8.

* Fri Aug 27 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-4
- Bump hmac from 0.10 to 0.11.

* Tue Aug 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-3
- Backport commit a8418f4 to support newsflash 1.4.2.

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jul 20 2021 Fabio Valentini <decathorpe@gmail.com> - 1.2.1-1
- Update to version 1.2.1.

* Mon Mar 08 2021 Fabio Valentini <decathorpe@gmail.com> - 1.1.4-1
- Update to version 1.1.4.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 26 12:36:22 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12

* Sat Nov 14 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.10-2
- Bump hmac from 0.8 to 0.10.
- Drop readability-fallback dependency to avoid broken dependencies.

* Wed Sep 16 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.10-1
- Update to version 1.0.10.

* Fri Sep 11 2020 Josh Stone <jistone@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Wed Jul 29 2020 Josh Stone <jistone@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sun Jun 21 17:45:57 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.0.3-1
- Update to 1.0.3

* Sun Jun 07 12:16:36 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 1.0.2-1
- Initial package
